<?php
function konversiTanggal($tanggal)
{
    // Pisahkan tahun, bulan, dan tanggal
    $pisah = explode("-", $tanggal);
    $tahun = $pisah[0];
    $bulan = $pisah[1];
    $tanggal = $pisah[2];

    // Array bulan dalam bahasa Indonesia
    $bulanIndo = [
        '01' => 'Januari',
        '02' => 'Februari',
        '03' => 'Maret',
        '04' => 'April',
        '05' => 'Mei',
        '06' => 'Juni',
        '07' => 'Juli',
        '08' => 'Agustus',
        '09' => 'September',
        '10' => 'Oktober',
        '11' => 'November',
        '12' => 'Desember'
    ];

    // Konversi tanggal, bulan, dan tahun ke format "tanggal bulan tahun"
    $tanggalIndo = (int) $tanggal; // Hilangkan nol di depan jika ada
    $bulanIndo = $bulanIndo[$bulan];
    $tahunIndo = (int) $tahun; // Misal tahun 21 menjadi 2021

    // Gabungkan hasil konversi
    $tanggalLengkap = $tanggalIndo . ' ' . $bulanIndo . ' ' . $tahunIndo;

    return $tanggalLengkap;
}


function  cekRoleid()
{
    $datarole = array_map('trim', explode(",", session()->get('role')));

    if (in_array("admin", $datarole)) {
        $id = null;
    } else {
        $id = session()->get('user_id');
    }
    return $id;
}
function  cekRoleadmin()
{
    $datarole = array_map('trim', explode(",", session()->get('role')));

    if (in_array("admin", $datarole)) {
        return 'admin';
    } else {
        return 'guru';
    }
}
function getGrade($tingkat)
{
    switch ($tingkat) {
        case 1:
        case 2:
            return 'A';
            break;
        case 3:
        case 4:
            return 'B';
            break;
        case 5:
        case 6:
            return 'C';
            break;
        case 7:
        case 8:
        case 9:
            return 'D';
            break;
        case 10:
            return 'E';
            break;
        case 11:
        case 12:
            return 'F';
            break;
        default:
            return '-';
    }
}
function kodeToJenjang($kode)
{
    switch ($kode) {
        case 'SD':
            return 'Sekolah Dasar';
        case 'SMP':
            return 'Sekolah Menengah Pertama';
        case 'SMA':
            return 'Sekolah Menengah Atas';
        case 'SMK':
            return 'Sekolah Menengah Kejuruan';
        case 'MI':
            return 'Madrasah Ibtidaiyah';
        case 'MTs':
            return 'Madrasah Tsanawiyah';
        case 'MA':
            return 'Madrasah Aliyah';
        case 'Paud':
            return 'Pendidikan Anak Usia Dini';
        default:
            return 'Tidak Diketahui';
    }
}
if (!function_exists('getGradeAndSemesterCode')) {
    /**
     * Mengembalikan kode tingkat dan semester berdasarkan parameter.
     *
     * @param int $grade Tingkat siswa (kelas).
     * @param int $semester Semester (ganjil/genap).
     * @return int Kode tingkat dan semester.
     */
    function getGradeAndSemesterCode($grade, $semester)
    {
        if ($grade == 10) {
            if ($semester  == 'ganjil') { // Ganjil
                return 1;
            } else { // Genap
                return 2;
            }
        } elseif ($grade == 11) {
            if ($semester  == 'ganjil') { // Ganjil
                return 3;
            } else { // Genap
                return 4;
            }
        } elseif ($grade == 12) {
            if ($semester == 'ganjil') { // Ganjil
                return 5;
            } else { // Genap
                return 6;
            }
        } elseif ($grade == 13) {
            if ($semester == 'ganjil') { // Ganjil
                return 7;
            } else { // Genap
                return 8;
            }
        }
        // Jika tidak ada kondisi yang cocok, kembalikan 0 atau nilai lainnya sesuai kebutuhan
        return 0;
    }
}
